Makefile.PL 1.14 KB
Newer Older
1

2 3 4
use strict;
use warnings;

5
BEGIN { require 5.006; }
6 7 8 9 10 11 12 13

use ExtUtils::MakeMaker 6.31;



my %WriteMakefileArgs = (
  'ABSTRACT' => 'packages that provide templated software licenses',
  'AUTHOR' => 'Ricardo Signes <rjbs@cpan.org>',
14
  'BUILD_REQUIRES' => {
15
    'Test::More' => '0.96'
16
  },
17 18 19 20 21 22 23 24
  'CONFIGURE_REQUIRES' => {
    'ExtUtils::MakeMaker' => '6.31'
  },
  'DISTNAME' => 'Software-License',
  'EXE_FILES' => [],
  'LICENSE' => 'perl',
  'NAME' => 'Software::License',
  'PREREQ_PM' => {
25
    'Carp' => '0',
26
    'Data::Section' => '0',
27
    'English' => '0',
28 29 30
    'Sub::Install' => '0',
    'Text::Template' => '0'
  },
31
  'VERSION' => '0.103000',
32 33 34 35 36
  'test' => {
    'TESTS' => 't/*.t'
  }
);

37

38 39
unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
40
  my $pp = $WriteMakefileArgs{PREREQ_PM};
41 42
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
43
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
44 45 46 47 48 49
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}
50

51 52
delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };
53

54
WriteMakefile(%WriteMakefileArgs);
55

56 57